#
#  The following variable must be set to the appropriate absolute pathname:

set LPSOLVE = /home/rose/chiola/lp_solve/lp_solve
set DEF_PRN = lpr

#these directories will be created, or used if already existent

set N_DIR="~/nets"
set PS_DIR="~/ps"
set EPS_DIR="~/eps"

#
set newhome=$1
if ( $newhome == "" ) then
    set newhome=`pwd`
endif
set GSPN2VERSIONsh="$newhome/version.sh"
set bins = `$GSPN2VERSIONsh`
set DOTcshrc='~/.GreatSPN2'_$bins
set dol='$'
set ap='`'
set dquo='"'
set path=$newhome:h
cd $path
set newhome=$path/$bins
set prompt
source ~/.cshrc


if ( ! $?GSPN2VERSION ) then
  echo "#******************* GreatSPN2.0  BEGIN *********************" >> ~/.cshrc
  echo "setenv GSPN2VERSION $dquo$GSPN2VERSIONsh$dquo" >> ~/.cshrc
  echo "setenv GSPN2BINS ${ap}${dol}GSPN2VERSION${ap}"\
	>> ~/.cshrc
  echo 'if ( -r ~/.GreatSPN2_$GSPN2BINS ) then' >> ~/.cshrc
  echo '	source ~/.GreatSPN2_$GSPN2BINS' >> ~/.cshrc
  echo 'endif' >> ~/.cshrc
else
  if ( $GSPN2VERSION != $GSPN2VERSIONsh ) then
    echo "#******************* GreatSPN2.0  BEGIN *********************" >> ~/.cshrc
    echo "setenv GSPN2VERSION $dquo$GSPN2VERSIONsh$dquo" >> ~/.cshrc
    echo "setenv GSPN2BINS ${ap}${dol}GSPN2VERSION${ap}"\
	  >> ~/.cshrc
    echo 'if ( -r ~/.GreatSPN2_$GSPN2BINS ) then' >> ~/.cshrc
    echo '	source ~/.GreatSPN2_$GSPN2BINS' >> ~/.cshrc
    echo 'endif' >> ~/.cshrc
  else
    exit(0)
  endif
endif

/bin/rm -f $DOTcshrc

echo "setenv GSPN2HOME $newhome" > $DOTcshrc
echo "setenv GSPN2LPSOLVE $LPSOLVE" >> $DOTcshrc
echo "set path=(${dol}path $newhome )" >> $DOTcshrc

if ( $?noclobber ) then
	echo "unset noclobber" >> $DOTcshrc
endif

if ( ! -d $bins ) then
	/bin/rm -fr $bins
	/bin/mkdir $bins
endif

if ( ! $?UIDPATH ) then
	echo "setenv UIDPATH $newhome/%U" >> ~/.cshrc
else
	echo "setenv UIDPATH ${dquo}${dol}UIDPATH${dquo}:$newhome/%U " >> ~/.cshrc
endif

if ( ! $?GSPN_DEFAULT_PRINTER ) then
	echo "setenv GSPN_DEFAULT_PRINTER $DEF_PRN" >> ~/.cshrc
endif


if ( ! $?GSPN_PS_DIRECTORY ) then
	echo "setenv GSPN_PS_DIRECTORY $PS_DIR" >> ~/.cshrc
endif


if ( ! $?GSPN_EPS_DIRECTORY ) then
	echo "setenv GSPN_EPS_DIRECTORY $EPS_DIR" >> ~/.cshrc
endif


if ( ! $?GSPN_NET_DIRECTORY ) then
	echo "setenv GSPN_NET_DIRECTORY $N_DIR" >> ~/.cshrc
endif


if( ! -d $N_DIR) then
	/bin/mkdir $N_DIR
endif

if( ! -d $PS_DIR) then
	/bin/mkdir $PS_DIR
endif

if( ! -d $EPS_DIR) then
	/bin/mkdir $EPS_DIR
endif

echo "#********************** GreatSPN2.0 END *********************" >> ~/.cshrc

